layui.use(["layer", "form", "laydate", 'laypage'], function(){
    $ = layui.$;
    form = layui.form;
    layer = layui.layer;
    laydate = layui.laydate;
    laypage = layui.laypage;
    //日期范围
    laydate.render({
        elem: '#test6'
        //设置开始日期、日期日期的 input 选择器
        //数组格式为 2.6.6 开始新增，之前版本直接配置 true 或任意分割字符即可
        ,range: ['.start_date', '.end_date']
    });
    //头部查询
    $(".query_button").on("click", () => {
        startTime = $("input[name=startTime]").val(); //开始日期
        endTime = $("input[name=endTime]").val(); //结束日期
        destination = $("input[name=destination]").val();//目的地
        getQuotation(1, 7, startTime, endTime, destination);//查询报价单数据渲染
    });

    //头部重置
    $(".reset_button").on("click", () => {
        $("input[name=startTime]").val(""); //开始日期
        $("input[name=endTime]").val(""); //结束日期
        $("input[name=destination]").val(""); //结束日期
        startTime = null;
        endTime = null;
        destination = null;
        getQuotation(1, 7, startTime, endTime);//查询报价单数据渲染
    });

    //新增
    $(".add_button").on("click", () => {
        if(getCompany() == null){
            layer.msg("请先完善您的信息后再操作", {icon: 2, time: 1000}, () => {
                parent.window.location.href="/page/registered/1"
            });
        } else {
            window.location.href = "/page/releaseModel?type=addReleaseVal&uuid=null";
        }
    });

    getQuotation(1, 7, startTime, endTime, destination);//查询报价单数据渲染
    translationVal(parent.type);//翻译
})